# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTypeList< T, U > Struct Template Reference

The building block of typelists of any length. More...

`#include <ktypelist.h>`

List of all members.

## Public Types

typedef T | Head
| first element, a non-typelist type by convention
typedef U | Tail
| second element, can be another typelist

## Detailed Description

### template<class T, class U>
struct KTypeList< T, U >

The building block of typelists of any length.

Use it through the K_TYPELIST_NN macros. Defines nested types:

- Head (first element, a non-typelist type by convention)
- Tail (second element, can be another typelist)

Definition at line 361 of file ktypelist.h.

## Member Typedef Documentation

template<class T, class U>
typedef T KTypeList< T, U >::Head

| first element, a non-typelist type by convention Definition at line 364 of file ktypelist.h.

template<class T, class U>
typedef U KTypeList< T, U >::Tail

| second element, can be another typelist Definition at line 366 of file ktypelist.h.

The documentation for this struct was generated from the following file:

- ktypelist.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:47 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001